[API Reference](../README.md) > [NewUpgradeProposalEventResult](../interfaces/NewUpgradeProposalEventResult.md)

# Interface: NewUpgradeProposalEventResult

## Hierarchy

**NewUpgradeProposalEventResult**

## Index

### Properties

* [_avatar](NewUpgradeProposalEventResult.md#_avatar)
* [_intVoteInterface](NewUpgradeProposalEventResult.md#_intVoteInterface)
* [_newController](NewUpgradeProposalEventResult.md#_newController)
* [_proposalId](NewUpgradeProposalEventResult.md#_proposalId)

---

## Properties

<a id="_avatar"></a>

###  _avatar

**● _avatar**: *[Address](../#Address)*

*Defined in [wrappers/upgradeScheme.ts:232](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/upgradeScheme.ts#L232)*

indexed

___
<a id="_intVoteInterface"></a>

###  _intVoteInterface

**● _intVoteInterface**: *[Address](../#Address)*

*Defined in [wrappers/upgradeScheme.ts:236](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/upgradeScheme.ts#L236)*

indexed

___
<a id="_newController"></a>

###  _newController

**● _newController**: *[Address](../#Address)*

*Defined in [wrappers/upgradeScheme.ts:237](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/upgradeScheme.ts#L237)*

___
<a id="_proposalId"></a>

###  _proposalId

**● _proposalId**: *[Hash](../#Hash)*

*Defined in [wrappers/upgradeScheme.ts:241](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/upgradeScheme.ts#L241)*

indexed

___

